this.ThemedOutlookNavBar.Panes.PageCount = 5

WITH this.ThemedOutlookNavBar
   * UpdatePane(lnPane, lcCaption, lcPicture16, lcPicture24)
   * "J:\WLCPROJECT\SOUTHWESTFOX\EVENTMANAGEMENTSYSTEM\IMAGES\text_file24.png"
   .UpdatePane(1, "View", ;
               "Images\text_file16.png", ;
               "Images\text_file24.png")

   .UpdatePane(2, "Reports", ;
               "Images\Reports16.png", ;
               "Images\Reports24.png")
               
   .UpdatePane(3, "Tools", ;
               "Images\Toolbox16.png", ;
               "Images\Toolbox24.png")

   .UpdatePane(4, "System", ;
               "Images\Shield16.png", ;
               "Images\Shield24.png")

   .UpdatePane(5, "Help", ;
               "Images\Help16.png", ;
               "Images\Help24.png")
ENDWITH 


WITH this.ThemedOutlookNavBar.Panes.Pane1
   .cmdOne.Caption   = "People"
   .cmdOne.Picture   = "Images\PEOPLE32.ICO"
   .cmdOne.Visible   = .T.
   
   .cmdTwo.Caption   = "Registration"
   .cmdTwo.Picture   = "Images\REGISTRATION32.ICO"
   .cmdTwo.Visible   = .T.

   .cmdThree.Caption = "User Groups"
   .cmdThree.Picture = "Images\USERGROUP32.ICO"
   .cmdThree.Visible = .T.
ENDWITH 

WITH this.ThemedOutlookNavBar.Panes.Pane2
   .cmdOne.Caption   = "Speakers"
   .cmdOne.Picture   = "Images\Reports24.png"
   .cmdOne.Visible   = .T.
ENDWITH 

WITH this.ThemedOutlookNavBar.Panes.Pane3
ENDWITH 

WITH this.ThemedOutlookNavBar.Panes.Pane4
   .cmdOne.Caption   = "Security"
   .cmdOne.Picture   = "Shield24.png"
   .cmdOne.Visible   = .T.
   
   .cmdTwo.Caption   = "Error Log"
   .cmdTwo.Picture   = "Bomb3-24.png"
   .cmdTwo.Visible   = .T.

   .cmdThree.Caption = "Change Theme"
   .cmdThree.Picture = "Images\colorize-32.ico"
   .cmdThree.Visible = .T.
ENDWITH 

WITH this.ThemedOutlookNavBar.Panes.Pane5
   .cmdOne.Caption   = "Help"
   .cmdOne.Picture   = "Help24.png"
   .cmdOne.Visible   = SET("Help") = "ON"
   
   .cmdTwo.Caption   = "About"
   .cmdTwo.Picture   = ""
   .cmdTwo.Visible   = .T.
ENDWITH 

this.cBehaviorClass    = "cusBehaviorClass"
this.cBehaviorClassLib = this.ClassLibrary 
 
IF ISNULL(this.oBehavior)
   * Nothing to do
ELSE
   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane1.cmdOne,   "Click", this.oBehavior, "PeopleMaintenance")
   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane1.cmdTwo,   "Click", this.oBehavior, "RegistrationsMaintenance")
   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane1.cmdThree, "Click", this.oBehavior, "UserGroupMaintenance")
   
   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane4.cmdOne,   "Click", this.oBehavior, "UserSecurity")
   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane4.cmdTwo,   "Click", this.oBehavior, "ErrorLogMaintenance")
   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane4.cmdThree, "Click", this.oBehavior, "ThemeControlPanel")

   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane5.cmdOne, "Click", this.oBehavior, "F1HelpContents")
   BINDEVENT(this.ThemedOutlookNavBar.Panes.Pane5.cmdTwo, "Click", this.oBehavior, "AboutScreen")
ENDIF

* Bring the toolbar to the shrinked mode.
IF this.lToggleViewMode = .T.
   this.ThemedOutlookNavBar.ShrinkButton.ChangeViewMode()
ENDIF 

RETURN .T.