* Sample code you should consider in your Main Program for OutlookNavBar

ON SHUTDOWN CloseApplication()

* Set paths
LOCAL lcDefaultPath

IF VARTYPE(_screen.ThemesManager) == "O"
   _screen.RemoveObject("ThemesManager")
ENDIF

DO System.app  && GDIPlusX

IF NOT VARTYPE(_screen.ThemesManager) == "O"
  _screen.NewObject("ThemesManager",;
                    "ThemesManager",;
                    "ThemedControls.vcx")
ENDIF

IF _vfp.StartMode = 0 AND TYPE("_vfp.ActiveProject") == "O"
   lcDefaultPath = _vfp.ActiveProject.HomeDir 
   SET PATH TO (ADDBS(lcDefaultPath)+"VCX") ADDITIVE
ELSE
   lcDefaultPath = SYS(5) + SYS(2003)
ENDIF

SET PATH TO (ADDBS(lcDefaultPath) + "Images") ADDITIVE
SET DEFAULT TO (lcDefaultPath)

DO FORM OutlookNavBarExample
READ EVENTS

CloseApplication()

RETURN 


FUNCTION CloseApplication
   * Destroy ThemesManager object
   IF VARTYPE(_screen.ThemesManager) == "O"
      _screen.RemoveObject("ThemesManager")
   ENDIF

   ON SHUTDOWN
   CLEAR EVENTS
   
   IF _vfp.StartMode > 0
      QUIT
   ENDIF
   
   RETURN
ENDFUNC

*: EOF :*

